Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class PipelineConfiguration

    java.lang.Object
      net.sf.saxon.event.PipelineConfiguration

public class PipelineConfiguration
extends java.lang.Object

A PipelineConfiguration sets options that apply to all the operations in a pipeline. Unlike the global Configuration, these options are always local to a process.

Constructor Summary
`PipelineConfiguration()`
`PipelineConfiguration(PipelineConfiguration p)`

Method Summary
`Configuration` | `getConfiguration()`
`Controller` | `getController()` Get the controller associated with this pipelineConfiguration
`javax.xml.transform.ErrorListener` | `getErrorListener()`
`int` | `getHostLanguage()`
`LocationProvider` | `getLocationProvider()`
`SchemaURIResolver` | `getSchemaURIResolver()` Get the user-defined SchemaURIResolver for resolving URIs used in "import schema" declarations; returns null if none has been explicitly set.
`javax.xml.transform.URIResolver` | `getURIResolver()`
`boolean` | `isSerializing()`
`void` | `setConfiguration(Configuration config)`
`void` | `setController(Controller controller)`
`void` | `setErrorListener(javax.xml.transform.ErrorListener errorListener)`
`void` | `setHostLanguage(int language)`
`void` | `setLocationProvider(LocationProvider locationProvider)`
`void` | `setSchemaURIResolver(SchemaURIResolver resolver)` Set a user-defined SchemaURIResolver for resolving URIs used in "import schema" declarations.
`void` | `setSerializing(boolean isSerializing)`
`void` | `setURIResolver(javax.xml.transform.URIResolver uriResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipelineConfiguration

    public PipelineConfiguration()

### PipelineConfiguration

    public PipelineConfiguration(PipelineConfiguration p)

Method Detail

### getConfiguration

    public Configuration getConfiguration()

### setConfiguration

    public void setConfiguration(Configuration config)

### getLocationProvider

    public LocationProvider getLocationProvider()

### setLocationProvider

    public void setLocationProvider(LocationProvider locationProvider)

### getErrorListener

    public javax.xml.transform.ErrorListener getErrorListener()

### setErrorListener

    public void setErrorListener(javax.xml.transform.ErrorListener errorListener)

### getURIResolver

    public javax.xml.transform.URIResolver getURIResolver()

### setURIResolver

    public void setURIResolver(javax.xml.transform.URIResolver uriResolver)

### setSchemaURIResolver

    public void setSchemaURIResolver(SchemaURIResolver resolver)

  Set a user-defined SchemaURIResolver for resolving URIs used in "import schema" declarations.

### getSchemaURIResolver

    public SchemaURIResolver getSchemaURIResolver()

  Get the user-defined SchemaURIResolver for resolving URIs used in "import schema" declarations; returns null if none has been explicitly set.

### setController

    public void setController(Controller controller)

### setHostLanguage

    public void setHostLanguage(int language)

### getHostLanguage

    public int getHostLanguage()

### setSerializing

    public void setSerializing(boolean isSerializing)

### isSerializing

    public boolean isSerializing()

### getController

    public Controller getController()

  Get the controller associated with this pipelineConfiguration

  Returns:
    the controller if it is known; otherwise null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD